Skip to main content
POST
https://api.dintero.com/v1
/
accounts
/
{aid}
/
discounts
/
events
Post event
curl --request POST \
  --url https://api.dintero.com/v1/accounts/{aid}/discounts/events \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'event: <event>' \
  --header 'event-delivery: <event-delivery>' \
  --data '{}'
{
  "error": {
    "message": "<string>",
    "code": "<string>",
    "errors": [
      {}
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.dintero.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication (token authentication) should be used for accessing the API.

Use Get Token to get an access token for client credentials. Pass the token in the request header:

Authorization: Bearer {access_token}

where the access_token is JSON Web Tokens (JWT).

Headers

event
enum<string>
required

The event type that was sent

Available options:
token_add,
token_remove,
receipt_add
event-delivery
string<uuid>
required

UUID to identify the payload and event being sent.

Path Parameters

aid
string<^[PT]{1}\d{8}$>
required

An id that uniquely identifies the account.

Required string length: 9

Body

application/json

The event payload, e.g. a Customer, Receipt or Token

receipt
object
token
object

Response

Event processed